<template>
  <v-card id="back" width="30vw" height="55vh" align="center">
    <v-row no-gutters>
      <v-col cols="12" sm="6" class="mt-16 mx-1">
        <CalendarHolidays
          class="px-2 py-9"
          outlined
          tile
          @fromPage="fromPage"
          @toPage="toPage"
        ></CalendarHolidays>
      </v-col>
      <v-col cols="12" sm="5" class="mt-10">
        <Holidays
          class="pa-2"
          outlined
          tile
          :currMonth="this.currMonth"
          :key="this.currMonth"
          :holidays="this.holidays"
        ></Holidays>
      </v-col>
    </v-row>
  </v-card>
</template>

<script>
import CalendarHolidays from "./CalendarHolidays";
import Holidays from "./Holidays";
import api from "../api";

export default {
  components: { CalendarHolidays, Holidays },
  data() {
    return {
      currMonth: new Date().getMonth(),
      holidays: []
    };
  },
  methods: {
    fromPage(month) {
      this.currMonth = month + 1;
    },
    toPage(month) {
      this.currMonth = month - 1;
    }
  },
  async created() {
    await api.events.getEvents().then(res => {
      this.holidays = res.data.map(event => ({
        name: event.name,
        date: new Date(event.date)
      }));
    });
  }
};
</script>

<style lang="css" scoped>
#back {
  background-color: #dfeeea;
  opacity: 0.95;
}
</style>
